Subject: Re: [PATCH 1/2] [powerpc] export symbols for use by lparcfg

From: Will Schmidt <[email-masked]>
Date: Mon, 12 Mar 2007 17:07:40 -0500

On Mon, 2007-12-03 at 22:32 +0100, Christoph Hellwig wrote:
> On Mon, Mar 12, 2007 at 01:21:14PM -0600, Will Schmidt wrote:
> > 
> > Updates the Kconfig to allow lparcfg to be built as a module, and
> > add the necessary EXPORT_SYMBOLS needed for a successful build.
> > 
> > Signed-off-by: Will Schmidt <[email-masked]>
> 
> NACK.  This is an awfull lot of deep down internal symbols, and there
> is no reason to make this a module.  If you fear about the space useage
> on non-phype platforms better reintroduce something like the
> __pmac/__chrp markers of the old ppc32 port.

Understood..    This used to be a module, I just wanted it to be a
module again.   I'm not worried about the space usage, honest. :-)

With this and Nathans response I'll happily second your NACK. 

-Will